package com.ycgis.macall.personalcenter.util;

import com.rs.macall.androidx.basemodel.utils.StringUtil;

/**
 * created by:   Macall
 * create time:  2022/12/3 10:25
 * copyright:    @ruansee.com
 * Describe:     安徽各地市
 */
public class AhdsAddressUtils {

    private final static String[][] addresss = new String[][]{
            {"省厅","3400"},
            {"合肥","3401"},
            {"芜湖","3402"},
            {"蚌埠","3403"},
            {"淮南","3404"},
            {"马鞍山","3405"},
            {"淮北","3406"},
            {"铜陵","3407"},
            {"安庆","3408"},
            {"黄山","3410"},
            {"滁州","3411"},
            {"阜阳","3412"},
            {"宿州","3413"},
            {"六安","3415"},
            {"亳州","3416"},
            {"池州","3417"},
            {"宣城","3418"}
    };

    public static String getAddressNameByCode(String code){
        if (StringUtil.isNullOrEmpty(code)) return "";
        for (int i = 0; i < addresss.length; i++) {
            if (code.startsWith(addresss[i][1])) {
                return addresss[i][0];
            }
        }
        return "";
    }

}
